import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { MatIconRegistry } from "@angular/material/icon";
import { DomSanitizer } from "@angular/platform-browser";
import { Subject } from "rxjs";
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSIconRegistryService } from "../../app-icon/icon-registry.service";
import { IRelated, RelatedData } from "../model/related-data.model";
import { DataType } from "../../../common/enum/data-type.enum";
import * as i0 from "@angular/core";
export declare class RelatedListComponent implements OnInit, OnChanges {
    private domSanitizer;
    translate: TranslateLibraryService;
    private iconRegistry;
    private appIconService;
    LANG: any;
    title: string;
    isNotEditedItem: boolean;
    relatedData: Array<IRelated>;
    dataType: typeof DataType;
    imageProcess: string;
    data: RelatedData;
    showStatus: boolean;
    updateData: EventEmitter<any>;
    onItemSelect: EventEmitter<any>;
    ngUnsubscribe: Subject<void>;
    constructor(domSanitizer: DomSanitizer, translate: TranslateLibraryService, iconRegistry: MatIconRegistry, appIconService: QMSIconRegistryService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getImagePath(): string;
    removeItem(index: number): void;
    onCloseClick(): void;
    onItemClick(item: any): void;
    onItemBreadcrumbClick(event: any): void;
    getItemStatus(item: any): string;
    getNodeIcon(item: any): "process" | "process_area_outlined" | "document" | "document_local" | "document_enterprise" | "document_department" | "document_regional" | "folder_outlined" | "local_folder_outlined" | "enterprise_folder_outlined" | "regional_folder_outlined" | "department_folder_outlined" | "deviation" | "checklist" | "risk" | "process_interconnected" | "compliance" | "link";
    canShowParent(item: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<RelatedListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RelatedListComponent, "qms-related-list", never, { "data": { "alias": "data"; "required": false; }; "showStatus": { "alias": "showStatus"; "required": false; }; }, { "updateData": "updateData"; "onItemSelect": "onItemSelect"; }, never, never, false, never>;
}
